LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XAnnotationAccess Interface Reference

This interface gives access to the annotation for a document content. More...

`import"XAnnotationAccess.idl";`

## Public Member Functions
XAnnotation | createAndInsertAnnotation ()
| creates a new annotation and inserts it into the document content. More...
void | removeAnnotation ([in] XAnnotation annotation) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the annotation from this document content. More...
XAnnotationEnumeration | createAnnotationEnumeration ()

## Detailed Description

This interface gives access to the annotation for a document content.

## Member Function Documentation

## ◆ createAndInsertAnnotation()

XAnnotation createAndInsertAnnotation | ( |  | ) |

creates a new annotation and inserts it into the document content.

## ◆ createAnnotationEnumeration()

XAnnotationEnumeration createAnnotationEnumeration | ( |  | ) |

Returns
  a new enumeration object for this annotation container. It returns NULL if there are no objects in this container.

## ◆ removeAnnotation()

void removeAnnotation | ( | [in] XAnnotation | annotation | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

removes the annotation from this document content.

The documentation for this interface was generated from the following file:

- com/sun/star/office/XAnnotationAccess.idl